<?php
/**
 * Created by PhpStorm.
 * User: francismararaujo
 * Date: 23/10/14
 * Time: 17:07
 */

namespace TecDiet\Services;

class Environment {

    protected $session;

    public function __construct($session) {
        $this->session = $session;
    }

    public function getCurrentUserId() {

        $user = $this->session->read('Auth');
        return $user['CDOPERADOR'];

    }

    public function getCurrentUser() {

        return $this->session->read('Auth');

    }

    public function getUnitsId() {

        $units = $this->session->read('Units');
        
        $unitId = array();

        foreach ($units as $unit) {
            $unitId[] = $unit['CDFILIAL'];
        }
        
        return $unitId;

    }

}