<?php
namespace TecDiet\Controllers;

use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Response\Error;

class Server extends \Zeedhi\Framework\Controller\Simple {

// 	const VERSION_STATUS = '1.0';

    protected $version;
    
    public function __construct(\Zeedhi\Framework\DependencyInjection\InstanceManager $instanceManager) {
	    $this->version = $instanceManager->getParameter('version');
	}

	public function Server(Request $request, Response $response) {
        try {
			$response->addDataSet(new DataSet('connection', array(array('version' => $this->version))));
        } catch (\Exception $e) {
            $response->setCriticalError(new Error($e->getMessage(), $e->getCode()));
        }
    }
}