Configuration(function(RepositoryFactory, ContextRegister, Query) {
    var LoginRepository = RepositoryFactory.factory('/Login', 'LOCAL');

    LoginRepository.auth = function(email, password) {
        return this.download(Query.build()
            .where('email').equals(email)
            .where('password').equals(password)
        );
    };

    ContextRegister.register('LoginRepository', LoginRepository);

});
