Configuration(function(RepositoryFactory, ContextRegister, Query) {
    var NormalFeedingsRepository = RepositoryFactory.factory('/NormalFeedings', 'LOCAL');

    NormalFeedingsRepository.getRow = function(key) {
        return this.findOne(Query.build().where('key').equals(key));
    };

    ContextRegister.register('NormalFeedingsRepository', NormalFeedingsRepository);

});
